--
-- Copyright (C) 1996 Ada Resource Association (ARA), Columbus, Ohio.
-- Author: Gilles Demailly
--
--
-- Permission to use, copy, modify, and distribute this software and its
-- documentation for any purpose and without fee is hereby granted,
-- provided that the above copyright and authorship notice appear in all
-- copies and that both that copyright notice and this permission notice
-- appear in supporting documentation.
-- 
-- The ARA makes no representations about the suitability of this software
-- for any purpose.  It is provided "as is" without express
-- or implied warranty.
-- 

with Ada.Text_Io;

package body Attribute.Source_File is

   use Byte_Utilities;

   procedure Decode (This      : access Source_File_Attribute;
                     From_File : in Byte_Utilities.File_Type;
                     Context   : in CP.Acc_CP_Infos) is
   begin
      -- reads the index value
      Read (From_File, This.Index);
   end Decode;

   procedure Display (This    : access Source_File_Attribute;
                      Context : in CP.Acc_CP_Infos) is
   begin
      -- this procedure is not yet implemented (uncalled)
      Ada.Text_Io.Put_Line ("source file attribute");
   end Display;

end Attribute.Source_File;
